Arbor 3: FSM & BT Graph Editor 3.4.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleGameObject Class Reference

参照方法が複数ある柔軟なGameObject型を扱うクラス。 More...

Inheritance diagram for FlexibleGameObject:

## Public Member Functions
| FlexibleGameObject ()
| FlexibleGameObjectデフォルトコンストラクタ More...
| FlexibleGameObject (GameObject gameObject)
| FlexibleGameObjectコンストラクタ。 More...
| FlexibleGameObject (GameObjectParameterReference parameter)
| FlexibleGameObjectコンストラクタ。 More...
| FlexibleGameObject (InputSlotGameObject slot)
| FlexibleGameObjectコンストラクタ。 More...
object | GetValueObject ()
| 値をobjectで返す。 More...

## Static Public Member Functions
static | operator GameObject (FlexibleGameObject flexible)
| FlexibleGameObjectをGameObjectにキャスト。 More...
static | operator FlexibleGameObject (GameObject value)
| GameObjectをFlexibleGameObjectにキャスト。 More...

## Properties
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
GameObject | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なGameObject型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleGameObject | ( |  | ) |

FlexibleGameObjectデフォルトコンストラクタ

FlexibleGameObject | ( | GameObject | gameObject | ) |

FlexibleGameObjectコンストラクタ。

Parameters

  gameObject | GameObject

FlexibleGameObject | ( | GameObjectParameterReference | parameter | ) |

FlexibleGameObjectコンストラクタ。

Parameters

  parameter | Parameter

FlexibleGameObject | ( | InputSlotGameObject | slot | ) |

FlexibleGameObjectコンストラクタ。

Parameters

  slot | スロット

## Member Function Documentation

object GetValueObject | ( |  | ) |

値をobjectで返す。

Returns
  値のobject

Implements IFlexibleField.

static operator FlexibleGameObject | ( | GameObject | value | ) |
| explicit static

GameObjectをFlexibleGameObjectにキャスト。

Parameters

  value | GameObject

static operator GameObject | ( | FlexibleGameObject | flexible | ) |
| explicit static

FlexibleGameObjectをGameObjectにキャスト。

Parameters

  flexible | FlexibleGameObject

## Property Documentation

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

FlexibleType type
| get

Typeを返す

GameObject value
| get

値を返す